| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WellT2DTransform Class Reference
Well

Time to depth transform for wells. More...

`#include <wellt2dtransform.h>`

Inheritance diagram for WellT2DTransform:
[legend]

## Public Member Functions
| WellT2DTransform ()
| WellT2DTransform (const MultiID &)
bool | isOK () const override
bool | setWellID (const MultiID &)
Public Member Functions inherited from ZAxisTransform
virtual int | addVolumeOfInterest (const TrcKeyZSampling &, bool zistrans=false)
virtual NotifierAccess * | changeNotifier ()
virtual uiString | errMsg () const
ZDomain::Info & | fromZDomainInfo ()
const ZDomain::Info & | fromZDomainInfo () const
const char * | fromZDomainKey () const
virtual ZSampling | getModelZSampling () const
ZSampling | getZInterval (bool from, bool makenice=true, const ZSampling *=nullptr) const
virtual bool | isReferenceHorizon (const MultiID &horid, float &refz) const
virtual bool | loadDataIfMissing (int volid, TaskRunner *=nullptr)
virtual bool | needsVolumeOfInterest () const
virtual void | removeVolumeOfInterest (int volid)
void | setDataFromZDomainInfo (const ZDomain::Info &)
void | setDataToZDomainInfo (const ZDomain::Info &)
virtual void | setVolumeOfInterest (int volid, const TrcKeyZSampling &, bool zistrans=false)
ZDomain::Info & | toZDomainInfo ()
const ZDomain::Info & | toZDomainInfo () const
const char * | toZDomainKey () const
virtual float | toZScale () const
virtual void | transform (const BinID &, const SamplingData< float > &, int sz, float *res) const
float | transform (const BinIDValue &) const
float | transform (const Coord3 &) const
virtual void | transform2D (const char *linenm, int trcnr, const SamplingData< float > &, int sz, float *res) const
float | transform2D (const char *linenm, int trcnr, float z) const
virtual void | transformBack (const BinID &, const SamplingData< float > &, int sz, float *res) const
float | transformBack (const BinIDValue &) const
float | transformBack (const Coord3 &) const
virtual void | transformBack2D (const char *linenm, int trcnr, const SamplingData< float > &, int sz, float *res) const
float | transformBack2D (const char *linenm, int trcnr, float z) const
float | transformTrc (const TrcKey &, float z) const
float | transformTrcBack (const TrcKey &, float z) const
const ZDomain::Info & | zDomain (bool from) const
| Pointer to singleton.
virtual float | zScale () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~WellT2DTransform ()
Protected Member Functions inherited from ZAxisTransform
| ZAxisTransform (const ZDomain::Def &from, const ZDomain::Def &to)
| ~ZAxisTransform ()
ZSampling | getZInterval (const ZSampling &, const ZDomain::Def &from, const ZDomain::Def &to, bool makenice=true) const =delete
virtual ZSampling | getZInterval (const ZSampling &, const ZDomain::Info &from, const ZDomain::Info &to, bool makenice=true) const
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Private Member Functions
bool | calcDepths ()
bool | canTransformSurv (OD::GeomSystem) const override
void | doTransform (const SamplingData< float > &sd, const ZDomain::Info &sdzinfo, int sz, float *) const
void | fillPar (IOPar &) const override
ZSampling | getWorkZSampling (const ZSampling &, const ZDomain::Info &from, const ZDomain::Info &to) const override
void | transformTrc (const TrcKey &, const SamplingData< float > &, int sz, float *res) const override
void | transformTrcBack (const TrcKey &, const SamplingData< float > &, int sz, float *res) const override
bool | usePar (const IOPar &) override

## Private Attributes
RefMan< Well::Data > | data_
TimeDepthModel | tdmodel_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from ZAxisTransform
static ZAxisTransform * | create (const IOPar &)
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Protected Attributes inherited from ZAxisTransform
const ZDomain::Info * | datafromzdominfo_ = nullptr
const ZDomain::Info * | datatozdominfo_ = nullptr
uiString | errmsg_
ZDomain::Info & | fromzdomaininfo_
ZDomain::Info & | tozdomaininfo_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Time to depth transform for wells.

<>

## Constructor & Destructor Documentation

## ◆ WellT2DTransform() [1/2]

WellT2DTransform::WellT2DTransform | ( |  | ) |

## ◆ WellT2DTransform() [2/2]

WellT2DTransform::WellT2DTransform | ( | const MultiID & |  | ) |

## ◆ ~WellT2DTransform()

WellT2DTransform::~WellT2DTransform | ( |  | ) |
| protected

## Member Function Documentation

## ◆ calcDepths()

bool WellT2DTransform::calcDepths | ( |  | ) |
| private

## ◆ canTransformSurv()

bool WellT2DTransform::canTransformSurv | ( | OD::GeomSystem |  | ) | const
| inline override private virtual

Implements ZAxisTransform.

## ◆ doTransform()

void WellT2DTransform::doTransform | ( | const SamplingData< float > & | sd,
|  | const ZDomain::Info & | sdzinfo,
|  | int | sz,
|  | float * | ) const
| private

## ◆ fillPar()

void WellT2DTransform::fillPar | ( | IOPar & |  | ) | const
| override private virtual

Reimplemented from ZAxisTransform.

## ◆ getWorkZSampling()

ZSampling WellT2DTransform::getWorkZSampling | ( | const ZSampling & | ,
|  | const ZDomain::Info & | from,
|  | const ZDomain::Info & | to ) const
| override private virtual

Implements ZAxisTransform.

## ◆ isOK()

bool WellT2DTransform::isOK | ( |  | ) | const
| override virtual

Reimplemented from ZAxisTransform.

## ◆ setWellID()

bool WellT2DTransform::setWellID | ( | const MultiID & |  | ) |

## ◆ transformTrc()

void WellT2DTransform::transformTrc | ( | const TrcKey & | ,
|  | const SamplingData< float > & | ,
|  | int | sz,
|  | float * | res ) const
| override private virtual

Implements ZAxisTransform.

## ◆ transformTrcBack()

void WellT2DTransform::transformTrcBack | ( | const TrcKey & | ,
|  | const SamplingData< float > & | ,
|  | int | sz,
|  | float * | res ) const
| override private virtual

Implements ZAxisTransform.

## ◆ usePar()

bool WellT2DTransform::usePar | ( | const IOPar & |  | ) |
| override private virtual

Reimplemented from ZAxisTransform.

## Member Data Documentation

## ◆ data_

RefMan<Well::Data> WellT2DTransform::data_
| private

## ◆ tdmodel_

TimeDepthModel WellT2DTransform::tdmodel_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025